API / Reference / Credit Notes
Create credit note from invoice payable
POST
https://api.light.inc/v1/credit-notes/create-from-invoice-payable/{invoicePayableId}
Creates a credit note from an existing invoice payable
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
invoicePayableIdstring · uuidrequired
Response
-
idstring · uuidUnique identifier for the object
-
companyIdstring · uuidID of the company
-
companyEntityIdstring · uuidID of the entity
-
amountinteger · int64Total credit note amount in cents
-
businessPartnerNamestringName of the vendor
-
businessPartnerIdstring · uuidID of the vendor
-
statusstringStatus of the credit note
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DRAFTAPPROVAL_PENDINGAPPROVEDPOSTEDPARTIALLY_CLEAREDCLEAREDARCHIVED -
descriptionstringDescription of the credit note
-
currencystring -
postingDatestring · dateDate when the credit note should be posted to the ledger
-
documentDatestring · dateDate when the credit note was issued
-
valuationDatestring · dateDate used when applying foreign exchange rate
-
areLinesWithTaxbooleanWhether the credit note line amount is inclusive of tax or not. True means tax is already included in the line amount and will not be added on top, false means tax will be added on top of the line amount
-
linesarray of objectList of credit note line items
-
idstring · uuidUnique identifier for the object
-
companyIdstring · uuidID of the company
-
creditNoteIdstring · uuidID of the credit note this line belongs to
-
grossTransactionAmountobject-
amountinteger · int64 -
dcSignstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DC
-
-
netTransactionAmountobject-
amountinteger · int64 -
dcSignstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DC
-
-
descriptionstringDescription of the credit note line item
-
ledgerTaxIdstring · uuidID of the tax code
-
taxTransactionAmountobject-
amountinteger · int64 -
dcSignstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DC
-
-
ledgerAccountIdstring · uuidID of the ledger account
-
costCenterIdstring · uuidID of the cost center
-
createdAtstring · date-timeTimestamp when the credit note line item was created
-
updatedAtstring · date-timeTimestamp when the credit note line item was last updated
-
accrualTemplateIdstring · uuidID of the accrual template
-
accrualStartDatestring · dateStart date for accrual
-
accrualEndDatestring · dateEnd date for accrual
-
accrualDefaultDurationinteger · int32Default duration for accrual in months
-
-
createdAtstring · date-timeTimestamp when the credit note was created
-
updatedAtstring · date-timeTimestamp when the credit note was last updated
-
updatedBystring · uuidID of the user who last updated the credit note
-
localCurrencyFxRatenumberFX rate applied for the ledger's local currency
-
groupCurrencyFxRatenumberFX rate applied for the ledger's group currency
-
senderEmailstringThe email of the user who sent the document that this credit note was created from
-
documentNamestringThe name of the document that this credit note was created from